# KSpigotParticle

data class KSpigotParticle(particle: Particle, amount: Int, offset: Vector?, extra: Number, data: Any?, force: Boolean)
Content copied to clipboard

## Parameters

particle

The type of the particle.

amount

The amount of particles.

offset

The offset at which particles should appear.

extra

Particle specific data, often specifying an aspect like speed.

data

Particle specific data, often specifying BlockData or an ItemStack.

force

Determines whether the client should be encouraged to display the particles.

## Constructors

KSpigotParticle
Link copied to clipboard
fun KSpigotParticle(particle: Particle, amount: Int = 1, offset: Vector? = null, extra: Number = 1.0, data: Any? = null, force: Boolean = false)
Content copied to clipboard
The type of the particle.

## Functions

component1
Link copied to clipboard
operator fun component1(): Particle
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Int
Content copied to clipboard
component3
Link copied to clipboard
operator fun component3(): Vector?
Content copied to clipboard
component4
Link copied to clipboard
operator fun component4(): Number
Content copied to clipboard
component5
Link copied to clipboard
operator fun component5(): Any?
Content copied to clipboard
component6
Link copied to clipboard
operator fun component6(): Boolean
Content copied to clipboard
copy
Link copied to clipboard
fun copy(particle: Particle, amount: Int = 1, offset: Vector? = null, extra: Number = 1.0, data: Any? = null, force: Boolean = false): KSpigotParticle
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
spawnAt
Link copied to clipboard
fun spawnAt(loc: Location)
Content copied to clipboard
Spawns the particle at the location.
spawnFor
Link copied to clipboard
fun spawnFor(player: Player)
Content copied to clipboard
Spawns the particle at the location of the player.
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

amount
Link copied to clipboard
var amount: Int = 1
Content copied to clipboard
The amount of particles.
data
Link copied to clipboard
var data: Any? = null
Content copied to clipboard
Particle specific data, often specifying BlockData or an ItemStack.
extra
Link copied to clipboard
var extra: Number = 1.0
Content copied to clipboard
Particle specific data, often specifying an aspect like speed.
force
Link copied to clipboard
var force: Boolean = false
Content copied to clipboard
Determines whether the client should be encouraged to display the particles.
offset
Link copied to clipboard
var offset: Vector? = null
Content copied to clipboard
The offset at which particles should appear.
particle
Link copied to clipboard
val particle: Particle
Content copied to clipboard
The type of the particle.